Skip to main content
The Profile Enrichment API provides a single endpoint to retrieve detailed profile data. Use this endpoint to:
  1. Get Profiles: Retrieve comprehensive information about a user by their username, including personal details, professional experience, education, skills, certifications, and languages.
All endpoints are documented below, generated directly from our OpenAPI specification.

Endpoint

GET /api/v1/consumers/{consumer}/profiles/{username} Headers: Path Parameters: Response Headers Response: Returns a Profile object with fields including:
  • firstName, lastName
  • headline, summary
  • profilePicture
  • geo (country, city, full)
  • educations (degree, schoolName, start/end dates)
  • position (companyName, title, start/end dates, employmentType)
  • skills (name)
  • certifications (name, authority, company)
  • languages (string or object)
  • publicIdentifier, profileUrn
Response Codes: